#ifndef MR4TH_OGL_HELPERS_H
#define MR4TH_OGL_HELPERS_H

////////////////////////////////
// OpenGL Helper Functions

// shader helpers

MR4TH_SYMBOL_STATIC GLuint ogl_make_shader(char *src, GLenum kind);
MR4TH_SYMBOL_STATIC GLuint ogl_make_program(GLuint *shaders, U32 count);

// buffer copies

MR4TH_SYMBOL_STATIC void ogl_buffer_sub_data_from_stream(GLenum target, U64 off, STREAM *stream);

#endif //MR4TH_OGL_HELPERS_H
